<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: team-panel.func.php
| Version: 1.00
| Author: DrunkeN
| Site: http://www.dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("TEAM_PANEL", INFUSIONS."team_panel/");
define("TEAM_IMAGES", INFUSIONS."team_panel/images/");
define("TEAM_INC", INFUSIONS."team_panel/includes/");
define("TEAM_ADMIN", INFUSIONS."team_panel/admin/");

function team_profile_link($user_id, $user_name, $user_status, $class = "profile-link") {
	global $locale, $settings;

	$class = ($class ? " class='$class'" : "");

	if ((in_array($user_status, array(0, 3, 7)) || checkrights("M")) && (iMEMBER || $settings['hide_userprofiles'] == "0")) {
		$link = "<a href='".TEAM_PANEL."team-profile.php?user=".$user_id."&amp;name=".$user_name."'$class>$user_name</a>";
	} elseif ($user_status == "5" || $user_status == "6") {
		$link = "Anonymous User";
	} else {
		$link = $user_name;
	}

	return $link;
}

/*function info_filled($user_id){
         $result = mysql_query("SELECT team_user_intro, team_user_country, team_user_rname, team_user_gender, team_user_phpskill, team_user_sqlskill, team_user_htmskill,
         team_user_cssskill, team_user_javskill FROM ".DB_TEAM_USERS." WHERE team_user_id='".$user_id."' DESC LIMIT 1");
         while($row = mysql_fetch_row($result)){
         $empty_count = 0;
         $count = count($row);
         for($i = 0; $i < $count; $i++)
          if($row[$i] === "" || $row[$i] === 0)
            $empty_count++;
       $percent = ((int)(100*(1-$empty_count/($count-1))));
	   		 $progress_class = ($percent <= 20 ? "" 
		                   : ($percent >= 20 || $percent <= 40 ? "class='red'" 
						   : ($percent >= 40 || $percent <= 60 ? "class='orange'"
						   : ($percent >= 60 || $percent <= 80 ? "class='blue'"
						   : ($percent >= 90 || $percent == 100 ? "class='green'" : "")))));
         }
         $progress_bar = "<div class='progress'><span ".$progress_class." style='width: ".$percent."%;'><span>".$percent."%</span></span></div>";		
         return  $progress_bar;
}*/		 
?>
