<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin_navigation.php
+--------------------------------------------------------+
| Team Panel Admin > Navigation
| Version: 1.00
| Author: DrunkeN & Craig
| Developer(s): DrunkeN & Craig
| Site: http://www.dark-fusion.se & http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once INFUSIONS."team_panel/infusion_db.php";

    // Infusion version
    $version_data = dbarray(dbquery("SELECT inf_version FROM ".DB_INFUSIONS." WHERE inf_folder='team_panel'"));	
    $version = $version_data['inf_version'];

	$application_count = dbcount("(team_application_id)", DB_TEAM_APPLICATIONS);
    $show_count = ($application_count ? "<span style='color: red;'>".$application_count."</span>" : "");
    opentable($locale['team_na000'].$version);
	echo "<table style='width: 60%;' border='0' class='center'>\n<tr>\n";
	echo "<td style='text-align: center;".(FUSION_SELF == "team_admin.php" ? "font-weight: 900;" : "")."'><a href='".TEAM_ADMIN."team_admin.php".$aidlink."' class='side'><img style='border: 0px;' src='".TEAM_ADMIN."images/team_admin.png' alt='Team Admin'/></a>\n<br />\n";
	echo "<a href='".TEAM_ADMIN."team_admin.php".$aidlink."' class='side'>".$locale['team_na001']."</a></td>\n";
	echo "<td style='text-align: center;".(FUSION_SELF == "team_groups.php" ? "font-weight: 900;" : "")."'><a href='".TEAM_ADMIN."team_groups.php".$aidlink."' class='side'><img style='border: 0px;' src='".TEAM_ADMIN."images/team_groups.png' alt='Team Groups'/></a>\n<br />\n";
	echo "<a href='".TEAM_ADMIN."team_groups.php".$aidlink."' class='side'>".$locale['team_na002']."</a></td>\n";
	echo "<td style='text-align: center;".(FUSION_SELF == "team_settings.php" ? "font-weight: 900;" : "")."'><a href='".TEAM_ADMIN."team_settings.php".$aidlink."' class='side'><img style='border: 0px;' src='".TEAM_ADMIN."images/team_settings.png' alt='Team Settings'/></a>\n<br />\n";
	echo "<a href='".TEAM_ADMIN."team_settings.php".$aidlink."' class='side'>".$locale['team_na003']."</a></td>\n";
	echo "<td style='text-align: center;".(FUSION_SELF == "team_applications.php" ? "font-weight: 900;" : "")."'><a href='".TEAM_ADMIN."team_applications.php".$aidlink."' class='side'><img style='border: 0px;' src='".TEAM_ADMIN."images/team_applications.png' alt='Team Applications'/></a>\n<br />\n";
	echo "<a href='".TEAM_ADMIN."team_applications.php".$aidlink."' class='side'>".$show_count." Team ".($application_count == 1 ? $locale['team_na004'] : $locale['team_na005'])."</a></td>\n";
	echo "</tr>\n</table>\n";
	closetable();

?>