<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: team_applications.php
| Author: DrunkeN
+--------------------------------------------------------+
| Team Panel Admin > Applications
| Version: 1.00
| Author: Dark Fusion
| Developer(s): DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INFUSIONS."team_panel/includes/team-panel.func.php";
require_once INCLUDES."bbcode_include.php";
include TEAM_PANEL."infusion_db.php";

if (!checkrights("DTP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied. Administrators only."); }

if (file_exists(TEAM_PANEL."locale/".$settings['locale'].".php")) {
	include TEAM_PANEL."locale/".$settings['locale'].".php";
} else {
	include TEAM_PANEL."locale/English.php";
}


add_to_title($locale['global_200'].$locale['team_apl000']);
$applications = ""; 
include TEAM_ADMIN."admin_navigation.php";
if (!isset($_GET['action']) || $_GET['action'] == "1") {
	if (isset($_GET['delete']) && isnum($_GET['delete'])) {
		$result = dbquery("SELECT team_application_type, team_application_criteria FROM ".DB_TEAM_APPLICATIONS." WHERE team_application_id='".$_GET['delete']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			opentable($locale['team_apl001']);
			$result = dbquery("DELETE FROM ".DB_TEAM_APPLICATIONS." WHERE team_application_id='".$_GET['delete']."'");
			echo "<br /><div style='text-align:center'>".$locale['team_apl002']."<br /><br />\n";
			echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['team_apl003']."</a><br /><br />\n";
			echo "<a href='index.php".$aidlink."'>".$locale['team_apl004']."</a></div><br />\n";
			closetable();
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$result = dbquery("SELECT team_application_id, team_application_criteria FROM ".DB_TEAM_APPLICATIONS." WHERE team_application_type='team' AND team_application_status='0' ORDER BY team_application_datestamp DESC");
		if (dbrows($result)) {
			while ($data = dbarray($result)) {
				$team_application_criteria = unserialize($data['team_application_criteria']);
				$applications .= "<tr>\n<td class='tbl1'>".$team_application_criteria['application_rname']."</td>\n";
				$applications .= "<td align='right' width='1%' class='tbl1' style='white-space:nowrap'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;action=2&amp;t=team&amp;team_application_id=".$data['team_application_id']."'>".$locale['team_apl005']."</a></span> |\n";
				$applications .= "<span class='small'><a href='".FUSION_SELF.$aidlink."&amp;delete=".$data['team_application_id']."'>".$locale['team_apl006']."</a></span></td>\n</tr>\n";
			}
		} else {
			$applications = "<tr>\n<td colspan='2' class='tbl1'>".$locale['team_apl007']."</td>\n</tr>\n";
		}
		opentable($locale['team_apl008']);
		echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		echo "<td colspan='2' class='tbl2'><a id='team_applications' name='team_applications'></a>\n".$locale['team_apl009']."</td>\n";
		echo "</tr>".$applications."</table>\n";
		closetable();
		
$result = dbquery("SELECT t.team_application_id, t.team_application_user, t.team_application_status, 
           t.team_application_datestamp, u.user_id, u.user_name, u.user_status    
           FROM ".DB_TEAM_APPLICATIONS." t
           LEFT JOIN ".DB_USERS." u 
           ON t.team_application_user=u.user_id
           WHERE t.team_application_status='2' 
           ORDER BY t.team_application_datestamp DESC");
  if (dbrows($result) !=0) {
  opentable($locale['team_apl010']);
  echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>";
  echo "<td width='15%' class='tbl2'>".$locale['team_apl011']."</td>";
  echo "<td width='15%' class='tbl2'>".$locale['team_apl012']."</td>";
  echo "<td width='15%' class='tbl2'>".$locale['team_apl013']."</td>";
  echo "</tr>";
  
	  while ($data = dbarray($result)) {
	  $rowcolor = $i% 2==0?"tbl1":"tbl2";
      echo "<tr><td class='".$rowcolor."'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>";
      echo "<td class='".$rowcolor."'>".showdate("%B %d %Y", $data['team_application_datestamp'])."</td>";
      echo "<td class='".$rowcolor."'><a href='".FUSION_SELF.$aidlink."&amp;delete=".$data['team_application_id']."'>".$locale['team_apl014']."</a></td>";
      echo "</tr>";
      $i++;
      }
  echo"</table>";
  closetable();
 }
  
$result = dbquery("SELECT t.team_application_id, t.team_application_user, t.team_application_status, 
           t.team_application_datestamp, u.user_id, u.user_name, u.user_status    
           FROM ".DB_TEAM_APPLICATIONS." t
           LEFT JOIN ".DB_USERS." u 
           ON t.team_application_user=u.user_id
           WHERE t.team_application_status='1' 
           ORDER BY t.team_application_datestamp DESC");
if (dbrows($result) !=0) {
  opentable($locale['team_apl016']);
  echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>";
  echo "<td width='15%' class='tbl2'>".$locale['team_apl011']."</td>";
  echo "<td width='15%' class='tbl2'>".$locale['team_apl012']."</td>";
  echo "<td width='15%' class='tbl2'>".$locale['team_apl013']."</td>";
  echo "</tr>";
	  while ($data = dbarray($result)) {
	  $rowcolor = $i% 2==0?"tbl1":"tbl2";
      echo "<tr><td class='".$rowcolor."'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>";
      echo "<td class='".$rowcolor."'>".showdate("%B %d %Y", $data['team_application_datestamp'])."</td>";
      echo "<td class='".$rowcolor."'><a href='".FUSION_SELF.$aidlink."&amp;delete=".$data['team_application_id']."'>".$locale['team_apl014']."</a></td>";
      echo "</tr>";
      $i++;
      }
  echo"</table>";
  closetable();
       }
	}
}
if ((isset($_GET['action']) && $_GET['action'] == "2")) {
	if (isset($_POST['accept']) && (isset($_GET['team_application_id']) && isnum($_GET['team_application_id']))) {
		$team_title = stripinput($_POST['team_title']);
		$team_task = stripinput($_POST['team_task']);
			$result = dbquery(
			"SELECT ta.team_application_criteria, ta.team_application_datestamp, tau.user_id, tau.user_name, tau.user_status
			FROM ".DB_TEAM_APPLICATIONS." ta
			LEFT JOIN ".DB_USERS." tau ON ta.team_application_user=tau.user_id
			WHERE team_application_id='".$_GET['team_application_id']."'"
		);
		
		if (dbrows($result)) {
		$data = dbarray($result);
		$result = dbquery("INSERT INTO ".DB_TEAM_PANEL." (team_user, team_title, team_task, team_group, team_datestamp) VALUES ('".$data['user_id']."', '".$team_title."', '".$team_task."', '".stripinput($_POST['team_group'])."', '".time()."')");
		if (isset($_POST['accept'])) {
		             $group = dbarray(dbquery("SELECT team_group_name FROM ".DB_TEAM_GROUPS." WHERE team_group_id='".stripinput($_POST['team_group'])."'"));
		             global $userdata;
					 require_once INCLUDES."infusions_include.php";
		             $sender_id = $userdata['user_id'];
		             $reciever_id = $data['user_id'];
		             $subject = $locale['team_apl017'];
		             $message = $locale['team_apl018']." [b]".$group['team_group_name']."[/b]";
		             send_pm($reciever_id, $sender_id, $subject, $message);
	    $check =  dbcount("(team_user_id)", DB_TEAM_USERS, "team_user_id='".$data['user_id']."'");
        if (empty($check)) {
			$result = dbquery("INSERT INTO ".DB_TEAM_USERS." (team_user_id, team_user_intro, team_user_country, team_user_rname, team_user_gender, team_user_phpskill, team_user_sqlskill, team_user_htmskill,
			team_user_cssskill, team_user_javskill) VALUES ('".$data['user_id']."', '', '', '', '0', '', '', '', '', '')");
	}
					 
	   }
		$result = dbquery("UPDATE ".DB_TEAM_APPLICATIONS." SET team_application_status='1' WHERE team_application_id='".$_GET['team_application_id']."'");
	}
		opentable($locale['team_apl019']);
		echo "<br /><div style='text-align:center'>The application has been accepted.<br /><br />\n";
		echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['team_apl021']."</a><br /><br />\n";
		echo "<a href='index.php".$aidlink."'>".$locale['team_apl022']."</a></div><br />\n";
		closetable();
	} else if (isset($_POST['deny']) && (isset($_GET['team_application_id']) && isnum($_GET['team_applicationteam_application_id']))) {
		opentable("Team Application Denied");
		$result = dbquery("UPDATE ".DB_TEAM_APPLICATIONS." SET team_application_status='2' WHERE team_application_id='".$_GET['team_application_id']."'");
		echo "<br /><div style='text-align:center'>".$locale['team_apl024']."<br /><br />\n";
		echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['team_apl025']."</a><br /><br />\n";
		echo "<a href='index.php".$aidlink."'>".$locale['team_apl026']."</a></div><br />\n";
		closetable();
	} else {
		$result = dbquery(
			"SELECT ta.team_application_criteria, ta.team_application_datestamp, tau.user_id, tau.user_name, tau.user_status
			FROM ".DB_TEAM_APPLICATIONS." ta
			LEFT JOIN ".DB_USERS." tau ON ta.team_application_user=tau.user_id
			WHERE team_application_id='".$_GET['team_application_id']."'"
		);
		
		if (dbrows($result)) {
			$data = dbarray($result);
			$opts = ""; $sel = "";
			$team_application_criteria = unserialize($data['team_application_criteria']);
			$posted = showdate("longdate", $data['team_application_datestamp']);
			$result2 = dbquery("SELECT team_group_id, team_group_name FROM ".DB_TEAM_GROUPS." ORDER BY team_group_name");
			if (dbrows($result2) != 0) {
				while($data2 = dbarray($result2)) {
					if (isset($team_application_criteria['application_group'])) {
						$sel = ($team_application_criteria['application_group'] == $data2['team_group_id'] ? " selected='selected'" : "");
					
					}
					$opts .= "<option value='".$data2['team_group_id']."'$sel>".$data2['team_group_name']."</option>\n";
				
				
				}
			} else {
				$opts .= "<option value='0'>".$locale['team_apl027']."</option>\n";
			}
			
			opentable($locale['team_apl028']);
			
			echo "<form name='accept' method='post' action='".FUSION_SELF.$aidlink."&amp;action=2&amp;team_application_id=".$_GET['team_application_id']."'>\n";
			echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
			echo "<td style='text-align:center;' class='tbl'>".$locale['team_apl029'].profile_link($data['user_id'], $data['user_name'], $data['user_status']).$locale['team_apl030'].$posted."</td>\n";
			echo "</tr>\n</table>\n";
			echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
			echo "<td class='tbl' style='vertical-align:top;'>".$locale['team_apl031']."</td>\n";
            echo "<td class='tbl'>".nl2br(parseubb($team_application_criteria['application_text']))."<br />\n";
            echo "</td></tr>\n";
			echo "<td class='tbl'>".$locale['team_apl032']."</td>\n";
			$exp = array(
			            1 => $locale['team_apl033'],
						2 => $locale['team_apl034'],
						3 => $locale['team_apl035']
			);
			echo "<td class='tbl'>".$exp[$team_application_criteria['application_experience']]."</td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['team_apl036']."</td>\n";
			echo "<td class='tbl'><input type='text' name='team_title' class='textbox' style='width:120px' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['team_apl037']."</td>\n";
			echo "<td class='tbl'><input type='text' name='team_task' class='textbox' style='width:170px' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['team_apl038']."</td>\n";
			echo "<td class='tbl'><select name='team_group' class='textbox'>\n".$opts."</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo"\n</table>\n";
			echo "<div style='margin-bottom: 15px; text-align:center'><br />\n";
			echo $locale['team_apl039']."<br />\n";
			echo "<input type='submit' name='accept' value='".$locale['team_apl040']."' class='button' />\n";
			echo "<input type='submit' name='deny' value='".$locale['team_apl041']."' class='button' /></div>\n";
			echo "</form>\n";
			closetable();
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
}
require_once THEMES."templates/footer.php";
?>