<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: apply.php
| Author: DrunkeN
+--------------------------------------------------------+
| Team Panel > Apply
| Version: 1.00
| Author: Dark Fusion
| Developer(s): DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header_mce.php";
require_once INCLUDES."bbcode_include.php";
include INFUSIONS."team_panel/infusion_db.php";
require_once INFUSIONS."team_panel/includes/team-panel.func.php";

if (!iMEMBER) { redirect("../../index.php"); }

if (file_exists(TEAM_PANEL."locale/".$settings['locale'].".php")) {
	include TEAM_PANEL."locale/".$settings['locale'].".php";
} else {
	include TEAM_PANEL."locale/English.php";
}

   $team_application_info = array();

   if (iMEMBER && !isset($_GET['apply_to']) && !isnum($_GET['apply_to'])) { redirect("../../index.php"); }
        add_to_head("<link rel='stylesheet' href='".INFUSIONS."team_panel/includes/css/team_styles.css' type='text/css' media='screen' />");
        $result = dbquery("
		           SELECT team_group_name, team_group_applications 
				   FROM ".DB_TEAM_GROUPS." WHERE team_group_id='".$_GET['apply_to']."'"
		);
        $data = dbarray($result);
        if(iMEMBER && $data['team_group_applications'] == 0){ redirect(TEAM_PANEL."team.php"); }
		if((dbcount("(team_application_user)" , DB_TEAM_APPLICATIONS, "team_application_user='".$userdata['user_id']."' AND team_application_group='".$_GET['apply_to']."'") == 1)){ redirect(TEAM_PANEL."team.php"); }
	    if (isset($_POST['team_application_submit'])) {
		$duplicate_team_application_check =  dbcount("(team_user)", DB_TEAM_PANEL, "team_user='".$userdata['user_id']."' AND team_group='".$_POST['application_group']."'");
            if (empty($duplicate_team_application_check)) {
		if ($_POST['application_group'] != "" && $_POST['application_text'] != "" && $_POST['application_rname'] != "" && $_POST['application_experience'] != "") {
			$team_application_info['application_group'] = stripinput($_POST['application_group']);
			$team_application_info['application_rname'] = stripinput($_POST['application_rname']);
			$team_application_info['application_experience'] = isset($_POST['application_experience']) ? stripinput($_POST['application_experience']) : "";
			$team_application_info['application_text'] = trim(stripinput($_POST['application_text']));
			$result = dbquery("INSERT INTO ".DB_TEAM_APPLICATIONS." (team_application_type, team_application_user, team_application_group, team_application_datestamp, team_application_criteria) VALUES ('team', '".$userdata['user_id']."', '".$team_application_info['application_group']."', '".time()."', '".addslashes(serialize($team_application_info))."')");
			opentable($locale['team_ap000']);
			echo "<div style='text-align:center'>".$locale['team_ap001'];
			echo "<a href='".BASEDIR."index.php'>".$locale['team_ap001b'].$settings['sitename']."</a><br /><br />\n</div>\n";
			closetable();
			}else{
			opentable($locale['team_ap002']);
            echo $locale['team_ap003'];
            closetable();
			
			}
			}else{
			opentable($locale['team_ap004']);
			echo $locale['team_ap005'];
			closetable();
            }
			} else {
			$opts = "";
			opentable($locale['team_ap006']);
			$result = dbquery("SELECT team_group_id, team_group_name FROM ".DB_TEAM_GROUPS."  ORDER BY team_group_name");
			if (dbrows($result)) {
			while ($data = dbarray($result)) {
				$opts .= "<option value='".$data['team_group_id']."'>".$data['team_group_name']."</option>\n";
			}
			$get_apply_to = (isset($_GET['apply_to']) && isnum($_GET['apply_to']) ? $_GET['apply_to'] : "");
			$apply_to = dbarray(dbquery("SELECT team_group_id, team_group_name FROM ".DB_TEAM_GROUPS."  WHERE team_group_id='".$get_apply_to."'"));
			echo "<form name='team_application_form' method='post' action='".FUSION_SELF."?stype=team&amp;apply_to=".$apply_to['team_group_id']."' onsubmit='return ValidateForm(this);'>\n";
			echo "<table align='center' width='90%' cellspacing='1' cellpadding='0' class='tbl-border'>\n<tr>\n";
	        echo "<td class='tbl'>".$locale['team_ap007']."</td>\n";
	        echo "<td class='tbl'><input type='text' name='application_rname' maxlength='50' class='textbox' style='width:120px;' /></td>\n";
	        echo "</tr>\n<tr>\n";
	        echo "<td style='vertical-align: top;' class='tbl'>".$locale['team_ap008']."</td>\n";
	        echo "<td class='tbl'><textarea name='application_text' cols='60' rows='5' class='textbox' style='width:400px;'></textarea><br />\n";
            echo display_bbcodes("300px;", "application_text", "team_application_form")."\n";
            echo "</td>\n</tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['team_ap009']."</td>\n";
	        echo "<td class='tbl'>";
			 echo "<select name='application_experience' class='textbox'>\n";
			echo "<option value='' selected='selected'>".$locale['team_ap010']."</option>\n";
            echo "<option value='1'>".$locale['team_ap011']."</option>\n";
            echo "<option value='2'>".$locale['team_ap012']."</option>\n";
            echo "<option value='3'>".$locale['team_ap013']."</option>\n";
	        echo "</select></td>\n";
			echo "</td>\n";
	        echo "</tr>\n<tr>\n";
	        echo "<td class='tbl'>".$locale['team_ap014']."</td>\n";
	        echo "<td class='tbl'><input type='hidden' name='application_group' value='".$get_apply_to."'>".$apply_to['team_group_name']."</td>\n";
	        echo "</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl'><br />\n";
			echo "<input type='submit' name='team_application_submit' value='".$locale['team_ap015']."' class='button' />\n</td>\n";
			echo "</tr>\n</table>\n</form>\n";
			} else {
			echo "<div style='text-align:center'><br />\n".$locale['team_ap016']."<br /><br />\n</div>\n";
		}
			closetable();
	}
add_to_footer("<script type='text/javascript'>
	function ValidateForm(frm) {
		if(frm.application_rname.value=='') {
			alert('".$locale['team_ap017']."');
			return false;
		}
		if(frm.application_text.value=='') {
			alert('".$locale['team_ap018']."');
			return false;
		}
		if(frm.application_experience.value=='') {
			alert('".$locale['team_ap019']."');
			return false;
		}
		if(frm.application_group.value=='') {
			alert('".$locale['team_ap020']."');
			return false;
		}
	}
	</script>
");

require_once THEMES."templates/footer.php";
?>