<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: team-profile.php
| Author: DrunkeN
+--------------------------------------------------------+
| Team Panel > Profile
| Version: 1.00
| Author: Dark Fusion
| Developer(s): DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INCLUDES."bbcode_include.php";
require_once INFUSIONS."team_panel/includes/team-panel.func.php";

include INFUSIONS."team_panel/infusion_db.php";

if (file_exists(TEAM_PANEL."locale/".$settings['locale'].".php")) {
	include TEAM_PANEL."locale/".$settings['locale'].".php";
} else {
	include TEAM_PANEL."locale/English.php";
}

$user = (isset($_GET['user']) AND isnum($_GET['user'])) ?  $_GET['user'] : "";

if((dbcount("(team_user_id)", DB_TEAM_USERS, "team_user_id='".$user."'") == 0)) { redirect(TEAM_PANEL."team.php"); }

 	add_to_head("<link rel='stylesheet' href='".TEAM_INC."css/team_styles.css' type='text/css' media='screen' />");

if((isset($_GET['action']) && $_GET['action'] == "edit") && (iMEMBER && $_GET['user'] == $userdata['user_id'] && isset($_GET['name']) || iADMIN && checkrights('DTP'))){
	    add_to_head("<script language='javascript' type='text/javascript' src='".TEAM_INC."ckeditor/ckeditor.js'></script>
		<script src='".TEAM_INC."ckeditor/adapters/jquery.js'></script>
		<script type='text/javascript'>
		$(document).ready( function() {
		$('#team_user_intro').ckeditor();
	    } );
	</script>");	
if (isset($_POST['team_user_submit'])) {
            $team_user_intro =  addslash(trim($_POST['team_user_intro']));
			$team_user_country = (isset($_POST['team_user_country']) ? stripinput(trim($_POST['team_user_country'])) : "");
			$team_user_rname = stripinput($_POST['team_user_rname']);
			$team_user_gender = (isset($_POST['team_user_gender']) ? stripinput($_POST['team_user_gender']) : "0");
			$team_user_phpskill = (isset($_POST['team_user_phpskill']) ? stripinput($_POST['team_user_phpskill']) : "0");
			$team_user_sqlskill = (isset($_POST['team_user_sqlskill']) ? stripinput($_POST['team_user_sqlskill']) : "0");
			$team_user_htmskill = (isset($_POST['team_user_htmskill']) ? stripinput($_POST['team_user_htmskill']) : "0");
			$team_user_cssskill = (isset($_POST['team_user_cssskill']) ? stripinput($_POST['team_user_cssskill']) : "0");
			$team_user_javskill = (isset($_POST['team_user_javskill']) ? stripinput($_POST['team_user_javskill']) : "0");
			$result = dbquery("UPDATE ".DB_TEAM_USERS." SET 
			                  team_user_intro='$team_user_intro', 
							  team_user_country='$team_user_country', 
			                  team_user_gender='$team_user_gender',
							  team_user_rname='$team_user_rname',
							  team_user_phpskill='$team_user_phpskill',
							  team_user_sqlskill='$team_user_sqlskill',
							  team_user_htmskill='$team_user_htmskill',
							  team_user_cssskill='$team_user_cssskill',
							  team_user_javskill='$team_user_javskill'
							  WHERE team_user_id='".$_GET['user']."'");
			redirect(FUSION_SELF."?user=".$_GET['user']."&amp;name=".$_GET['name']);
		} else {
		opentable($locale['team_tp000']);
			$result = dbquery("SELECT team_user_intro, team_user_country, team_user_gender, team_user_rname, team_user_phpskill, team_user_sqlskill, team_user_htmskill,
            team_user_cssskill, team_user_javskill FROM ".DB_TEAM_USERS." WHERE team_user_id='".$_GET['user']."'");
            $data = dbarray($result);
            $team_user_intro = ($data['team_user_intro'] != "" ? stripinput($data['team_user_intro']) : "");
			$team_user_country = $data['team_user_country'];
			$team_user_rname = $data['team_user_rname'];
			$team_user_gender = $data['team_user_gender'];
			$team_user_phpskill = $data['team_user_phpskill']; //PHP Skills
			$team_user_sqlskill = $data['team_user_sqlskill']; //MySQL Skills
			$team_user_htmskill = $data['team_user_htmskill']; //HTML Skills
			$team_user_cssskill = $data['team_user_cssskill']; //CSS Skills
			$team_user_javskill = $data['team_user_javskill']; //JS Skills
			echo "<form name='team_user_form' method='post' action='".FUSION_SELF."?action=edit&amp;user=".$_GET['user']."&amp;name=".$_GET['name']."' onsubmit='return ValidateForm(this);'>\n";
			echo "<table align='center' width='90%' cellspacing='1' cellpadding='0' class='tbl-border'>\n<tr>\n";
			echo "<td class='tbl' style='vertical-align: top;'>".$locale['team_gl017']."</td>";
			echo "<td class='tbl'><input type='text' name='team_user_rname' value='".$team_user_rname."' class='textbox' style='width:130px;' />";
			echo "</tr><tr>";
	        echo "<td style='vertical-align: top;' class='tbl'>".$locale['team_gl001']."</td>\n";
            echo "<td class='tbl'>\n";
            echo "<select name='team_user_country' class='textbox'>\n";
            include TEAM_INC."country.opt.php";
			echo "</select>\n";
            echo "</td>\n</tr>\n<tr>";
			echo "<td style='vertical-align: top;' class='tbl'>".$locale['team_gl002']."</td>\n";
			echo "<td class='tbl'>\n";
			echo "<label><input type='radio' name='team_user_gender' value='0'".($team_user_gender == 0 ? " checked='checked'" : "")." />".$locale['team_gl000']."</label><br />\n";
		    echo "<label><input type='radio' name='team_user_gender' value='1'".($team_user_gender == 1 ? " checked='checked'" : "")." />".$locale['team_gl003']."</label><br />\n";
			echo "<label><input type='radio' name='team_user_gender' value='2'".($team_user_gender == 2 ? " checked='checked'" : "")." />".$locale['team_gl004']."</label><br />\n";
			echo "</td>\n</tr>\n<tr>";
			echo "<td style='vertical-align: top;' class='tbl'>".$locale['team_tp002']."</td>\n";
			echo "<td class='tbl'>\n";
			echo "<div style='float: left;'>";
			echo "<div class='skill-header-box padding-4' style='text-align: center;'>".$locale['team_gl005']."</div>";
			echo "<div class='margin-B margin-R' style='padding: 10px;'>";
			echo "<select style='margin-left: 18px;' name='team_user_phpskill' id='team_user_cssskill' class='textbox'>\n";
			echo "<option value=''".(empty($team_user_phpskill) ? " selected='selected'" : "").">".$locale['team_gl010']."</option>\n";
            echo "<option value='1'".($team_user_phpskill == "1" ? " selected='selected'" : "").">".$locale['team_gl011']."</option>\n";
            echo "<option value='2'".($team_user_phpskill == "2" ? " selected='selected'" : "").">".$locale['team_gl012']."</option>\n";
            echo "<option value='3'".($team_user_phpskill == "3" ? " selected='selected'" : "").">".$locale['team_gl013']."</option>\n";
            echo "<option value='4'".($team_user_phpskill == "4" ? " selected='selected'" : "").">".$locale['team_gl014']."</option>\n";   
            echo "<option value='5'".($team_user_phpskill == "5" ? " selected='selected'" : "").">".$locale['team_gl015']."</option>\n";
	        echo "<option value='6'".($team_user_phpskill == "6" ? " selected='selected'" : "").">".$locale['team_gl016']."</option>\n";
			echo "</select></div></div>";
			echo "<div style='float: left;'>";
			echo "<div class='skill-header-box padding-4' style='text-align: center;'>".$locale['team_gl006']."</div>";
			echo "<div class='margin-B margin-R' style='padding: 10px;'>";
			echo "<select name='team_user_sqlskill' id='team_user_sqlskill' class='textbox'>\n";
			echo "<option value=''".(empty($team_user_sqlskill) ? " selected='selected'" : "").">".$locale['team_gl010']."</option>\n";
            echo "<option value='1'".($team_user_sqlskill == "1" ? " selected='selected'" : "").">".$locale['team_gl011']."</option>\n";
            echo "<option value='2'".($team_user_sqlskill == "2" ? " selected='selected'" : "").">".$locale['team_gl012']."</option>\n";
            echo "<option value='3'".($team_user_sqlskill == "3" ? " selected='selected'" : "").">".$locale['team_gl013']."</option>\n";
            echo "<option value='4'".($team_user_sqlskill == "4" ? " selected='selected'" : "").">".$locale['team_gl014']."</option>\n";   
            echo "<option value='5'".($team_user_sqlskill == "5" ? " selected='selected'" : "").">".$locale['team_gl015']."</option>\n";
	        echo "<option value='6'".($team_user_sqlskill == "6" ? " selected='selected'" : "").">".$locale['team_gl016']."</option>\n";
			echo "</select></div></div>";
			echo "<div style='float: left;'>";
			echo "<div class='skill-header-box padding-4' style='text-align: center;'>".$locale['team_gl007']."</div>";
			echo "<div class='margin-B margin-R' style='padding: 10px;'>";
			echo "<select style='margin-left: 10px;' name='team_user_htmskill' id='team_user_htmskill' class='textbox'>\n";
			echo "<option value=''".(empty($team_user_htmskill) ? " selected='selected'" : "").">".$locale['team_gl010']."</option>\n";
            echo "<option value='1'".($team_user_htmskill == "1" ? " selected='selected'" : "").">".$locale['team_gl011']."</option>\n";
            echo "<option value='2'".($team_user_htmskill == "2" ? " selected='selected'" : "").">".$locale['team_gl012']."</option>\n";
            echo "<option value='3'".($team_user_htmskill == "3" ? " selected='selected'" : "").">".$locale['team_gl013']."</option>\n";
            echo "<option value='4'".($team_user_htmskill == "4" ? " selected='selected'" : "").">".$locale['team_gl014']."</option>\n";   
            echo "<option value='5'".($team_user_htmskill == "5" ? " selected='selected'" : "").">".$locale['team_gl015']."</option>\n";
	        echo "<option value='6'".($team_user_htmskill == "6" ? " selected='selected'" : "").">".$locale['team_gl016']."</option>\n";
			echo "</select></div></div>";
			echo "<div style='float: left;'>";
			echo "<div class='skill-header-box padding-4' style='text-align: center;'>".$locale['team_gl008']."</div>";
			echo "<div class='margin-B margin-R' style='padding: 10px;'>";
			echo "<select style='margin-left: 15px;' name='team_user_cssskill' id='team_user_cssskill' class='textbox'>\n";
			echo "<option value=''".(empty($team_user_cssskill) ? " selected='selected'" : "").">".$locale['team_gl010']."</option>\n";
            echo "<option value='1'".($team_user_cssskill == "1" ? " selected='selected'" : "").">".$locale['team_gl011']."</option>\n";
            echo "<option value='2'".($team_user_cssskill == "2" ? " selected='selected'" : "").">".$locale['team_gl012']."</option>\n";
            echo "<option value='3'".($team_user_cssskill == "3" ? " selected='selected'" : "").">".$locale['team_gl013']."</option>\n";
            echo "<option value='4'".($team_user_cssskill == "4" ? " selected='selected'" : "").">".$locale['team_gl014']."</option>\n";   
            echo "<option value='5'".($team_user_cssskill == "5" ? " selected='selected'" : "").">".$locale['team_gl015']."</option>\n";
	        echo "<option value='6'".($team_user_cssskill == "6" ? " selected='selected'" : "").">".$locale['team_gl016']."</option>\n";
			echo "</select></div></div>";
			echo "<div style='float: left;'>";
			echo "<div class='skill-header-box padding-4' style='text-align: center;'>".$locale['team_gl009']."</div>";
			echo "<div class='margin-B margin-R' style='padding: 10px;'>";
			echo "<select  style='margin-left: 27px;' name='team_user_javskill' id='team_user_javskill' class='textbox'>\n";
			echo "<option value=''".(empty($team_user_javskill) ? " selected='selected'" : "").">".$locale['team_gl010']."</option>\n";
            echo "<option value='1'".($team_user_javskill == "1" ? " selected='selected'" : "").">".$locale['team_gl011']."</option>\n";
            echo "<option value='2'".($team_user_javskill == "2" ? " selected='selected'" : "").">".$locale['team_gl012']."</option>\n";
            echo "<option value='3'".($team_user_javskill == "3" ? " selected='selected'" : "").">".$locale['team_gl013']."</option>\n";
            echo "<option value='4'".($team_user_javskill == "4" ? " selected='selected'" : "").">".$locale['team_gl014']."</option>\n";   
            echo "<option value='5'".($team_user_javskill == "5" ? " selected='selected'" : "").">".$locale['team_gl015']."</option>\n";
	        echo "<option value='6'".($team_user_javskill == "6" ? " selected='selected'" : "").">".$locale['team_gl016']."</option>\n";
			echo "</select></div></div>";
			echo "</td></tr><tr>";
			echo "<td style='vertical-align: top;' class='tbl'>".$locale['team_tp003']."</td>\n";
	        echo "<td class='tbl'><textarea id='team_user_intro' name='team_user_intro' cols='60' rows='5' class='textbox' style='width:400px;'>".$team_user_intro."</textarea><br />\n";
           // echo display_bbcodes("300px;", "team_user_intro", "team_user_form")."\n";
            echo "</td>\n</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl'><br />\n";
			echo "<input type='submit' name='team_user_submit' value='".$locale['team_tp004']."' class='button' />\n</td>\n";
			echo "</tr>\n</table>\n</form>\n";
			closetable();
			}
	}
	
 if(!isset($_GET['action']) && isset($_GET['user']) && isnum($_GET['user']) && isset($_GET['name'])){
 	add_to_head("<script language='javascript' type='text/javascript' src='".TEAM_INC."modalPopLite.js'></script>
<script type='text/javascript'>
		$(function () {     
		$('#popup-wrapper').modalPopLite({ openButton: '#clicker', closeButton: '#close-btn' }); 
		});
</script>");

	$result = dbquery("
	SELECT us.user_id, us.user_name, us.user_status, us.user_avatar, us.user_lastvisit, us.user_email, us.user_hide_email,
	us.user_web, us.user_skype, us.user_birthdate, tu.team_user_id, tu.team_user_intro, tu.team_user_country, tu.team_user_rname, tu.team_user_gender, tu.team_user_phpskill, tu.team_user_sqlskill, tu.team_user_htmskill,
    tu.team_user_cssskill, tu.team_user_javskill
	FROM ".DB_TEAM_USERS." tu
	LEFT JOIN ".DB_USERS." us ON tu.team_user_id=us.user_id
	WHERE tu.team_user_id='".$_GET['user']."'"
);
    $data = dbarray($result);
	
    opentable($locale['team_tp005'].$data['user_name']);
if($userdata['user_id'] == $data['user_id'] || iADMIN && checkrights('DTP')){
	    echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' style='text-align:center;width:500px;margin-bottom:1em;'>\n<tr>\n";
		echo "<td class='tbl2 tbl-glass' style='width:250px;'><a href='".TEAM_PANEL."team.php' class='side'>".$locale['team_tp006']."</a></td>";
	    echo "<td class='tbl2 tbl-glass' style='width:250px;'><a href='".FUSION_SELF."?action=edit&amp;user=".$data['user_id']."&amp;name=".$data['user_name']."' class='side'>".$locale['team_tp007']."</a></td>";
	    echo "</td>\n</tr></table>\n";
	}
		echo "<div class='center' style='width: 800px;'><table cellpadding='0' style='float: right; text-align: center;' cellspacing='1' width='400' class='tbl'>\n<tr>\n";
		echo "<td colspan='2' style='margin-bottom: 5px;font-weight: 900;width: 400px;' class='tbl2 tbl-glass'>".$locale['team_tp008']."</td></tr><tr>";
		echo "<td style='vertical-align: top;' width='1%' class='profile_user_avatar'>";
		if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar'])  && $data['user_status']!=6 && $data['user_status']!=5) {
		echo "<div style='margin-top: 5px;'><img class='tup-user-avatar tup-opa' src='".IMAGES."avatars/".$data['user_avatar']."' alt='' /></div>";
		} else {
		echo "<div style='margin-top: 5px;'><img class='tup-user-avatar tup-opa' src='".IMAGES."avatars/noavatar100.png' alt='No Avatar' /></div>";
		}
		echo "<div style='padding: 5px;'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</div>";
		$result = dbquery("SELECT team_group FROM ".DB_TEAM_PANEL." WHERE team_user='".$data['user_id']."'");
		echo "<tr><td colspan='2' style='font-weight: 900;width: 400px;' class='tbl2'>".$locale['team_tp009']."</td></tr><tr>";
		echo "<td style='margin-top: 5px;'>";
		$u = 1;
		while($data2 = dbarray($result)){
		$result2 = dbquery("SELECT 
		tg.team_group_id, tg.team_group_name, te.team_task
		FROM ".DB_TEAM_GROUPS." tg 
        LEFT JOIN ".DB_TEAM_PANEL." te ON tg.team_group_id=te.team_group
		WHERE team_group_id='".$data2['team_group']."'");
		$user_group = dbarray($result2);
		echo "<div style='margin-top:".($u > 1 ? "2px;" : "5px")."'>".$user_group['team_group_name']."</div>";
		$u++;
		}
		echo "</td>";
		echo "</td>\n</tr>";
	    echo "</table>";
	echo "<table cellpadding='0' style='float: left;' cellspacing='1' width='400' class='tbl'><tr>\n";
	echo "<td colspan='2' style='font-weight: 900;width: 400px;' class='tbl2'>".$locale['team_tp010'].$data['user_name']."</td></tr><tr>";
	echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['team_gl017']."</td>\n";
	echo "<td align='right' class='tbl1'>".(empty($data['team_user_rname']) ? $locale['team_gl000'] : $data['team_user_rname'])."</td>\n";
	echo "</tr>\n";
    if ($data['user_birthdate'] != "0000-00-00") {
	    $age = explode("-", $data['user_birthdate']);
        $year = $age[0];
        $current_year = date("Y", time());
        $age_year2 = $current_year - $year;

   if (mktime(0,0,0,$age[1], $age[2], $current_year) > time()){
         $age_year2--;
     }
         $age_year = $age_year2;
	echo "<tr><td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['team_tp011']."</td>\n";
    echo "<td align='right' class='tbl1'>".$age_year."</td></tr>";
}
	echo "<tr><td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['team_gl001']."</td>\n";
	include TEAM_INC."country.dis.php";
	echo "<td align='right' class='tbl1'>".(empty($data['team_user_country']) ? $locale['team_gl000'] : "<img style='vertical-align:middle;border:none' src='".$countries_img[$data['team_user_country']]."' alt='".$tuc_country[$data['team_user_country']]."' title='".$tuc_country[$data['team_user_country']]."' />")."</td>\n";
	echo "</tr>\n<tr>";
	echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['team_gl002']."</td>\n";
	$gender = ($data['team_user_gender'] == 1 ? "<img style='vertical-align:middle;border:none' src='".TEAM_IMAGES."male.png' title='".$locale['team_gl003']."' />" : ($data['team_user_gender'] == 2 ? "<img style='vertical-align:middle;border:none' src='".TEAM_IMAGES."female.png' title='".$locale['team_gl004']."' />" : $locale['team_gl000']));
	echo "<td align='right' class='tbl1'>".$gender."</td>\n";
	echo "</tr>\n<tr>";
	echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['team_tp012']."</td>\n";
	echo "<td align='right' class='tbl1'>".($data['user_lastvisit'] ? showdate("longdate", $data['user_lastvisit']) : "")."</td>\n";
	echo "</tr>\n";
	echo "<tr><td colspan='2' style='font-weight: 900;width: 400px;' class='tbl2'>".$locale['team_tp013']."</td></tr><tr>";
	if ($data['user_hide_email'] != "1" || iADMIN) {
		echo "<tr>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['team_tp014']."</td>\n";
		echo "<td align='right' class='tbl1'>".hide_email($data['user_email'])."</td>\n";
		echo "</tr>\n";
	}
	if($data['user_id'] != $userdata['user_id']){
	echo "<tr>\n";
	echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['team_tp015']."</td>\n";
	echo "<td align='right' class='tbl1'><a href='".BASEDIR."messages.php?msg_send=".$data['user_id']."' title='".$locale['team_tp016'].$data['user_name']."'>".$locale['team_tp017']."</a>\n</td>\n";
	echo "</tr>\n";
	}
	if ($data['user_skype']) {
		echo "<tr>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['team_tp018']."</td>\n";
		echo "<td align='right' class='tbl1'><a href='skype:".$data['user_skype']."?add'>".$data['user_skype']."</a></td>\n";
		echo "</tr>\n";
	}
    echo "<tr>\n<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['team_tp019']."</td>\n";
    echo "<td align='right' class='tbl1 profile_user_name'>";
    if (!strstr($data['user_web'], "http://") && !strstr($data['user_web'], "https://")) {
			$urlprefix = "http://";
		} else {
			$urlprefix = "";
		}
	echo ($data['user_web'] != "" ? "<a href='".$urlprefix.$data['user_web']."' title='".$urlprefix.$data['user_web']."' target='_blank'><img src='".TEAM_IMAGES."website.png' style='border: 0px; vertical-align: middle;' /></a>" : $locale['team_gl000']);
    echo "</td></tr>\n";
	echo "<tr><td colspan='2' style='font-weight: 900;width: 400px;' class='tbl2'>".$locale['team_tp020']."</td></tr><tr>";
    $lseen = time() - $data['user_lastvisit'];
    echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['team_tp021']."</td>\n";
    echo "<td align='right' class='tbl1 profile_user_name'>";
if($lseen < 1814400) {
    echo "<span style='color: #008000;'>".$locale['team_tp022']."</span>";
  } else if($lseen > 1814400 && $lseen < 3628800) {
    echo "<span style='color: #FF9D00;'>".$locale['team_tp023']."</span>";
  } else if($lseen > 3628800) {
    echo "<span style='color: #FF0000; padding-left: 10px;'>".$locale['team_tp024']."</span>";
}
    echo "</td></tr>\n<tr>\n";
	echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['team_tp025']."</td>\n";
	echo "<td align='right' class='tbl1'><a id='clicker'>".$locale['team_tp026']."</a></td>\n";
	
	$coding_skills = array(
	                 1 => $locale['team_gl011'],
					 2 => $locale['team_gl012'],
					 3 => $locale['team_gl013'],
					 4 => $locale['team_gl014'],
					 5 => $locale['team_gl015'],
					 6 => $locale['team_gl016']
		);
	echo "<div id='popup-wrapper' style='background-color: #ccc; width: 300px;'>";
	echo "<div style='padding: 15px; text-align:center; font-size: 13px;'>".$data['user_name'].$locale['team_tp026b']."</div>";
	if(!empty($data['team_user_phpskill'])){
	echo "<div style='padding: 10px;'>";
	echo "<div><strong>".$locale['team_gl005']."</strong></div><div> <img title='".$coding_skills[$data['team_user_phpskill']]."' src='".TEAM_IMAGES."skills/".$data['team_user_phpskill'].".gif' style='vertical-align: middle; border: 0px;' /></div>";
	echo "</div>";
	}
	if(!empty($data['team_user_sqlskill'])){
	echo "<div style='padding: 10px;'>";;
	echo "<div><strong>".$locale['team_gl006']."</strong></div><div> <img title='".$coding_skills[$data['team_user_sqlskill']]."' src='".TEAM_IMAGES."skills/".$data['team_user_sqlskill'].".gif' style='vertical-align: middle; border: 0px;' /></div>";
	echo "</div>";
	}
	if(!empty($data['team_user_htmskill'])){
	echo "<div style='padding: 10px;'>";
	echo "<div><strong>".$locale['team_gl007']."</strong></div><div> <img title='".$coding_skills[$data['team_user_htmskill']]."' src='".TEAM_IMAGES."skills/".$data['team_user_htmskill'].".gif' style='vertical-align: middle; border: 0px;' /></div>";
	echo "</div>";
	}
	if(!empty($data['team_user_cssskill'])){
	echo "<div style='padding: 10px;'>";
	echo "<div><strong>".$locale['team_gl008']."</strong></div><div> <img title='".$coding_skills[$data['team_user_cssskill']]."' src='".TEAM_IMAGES."skills/".$data['team_user_cssskill'].".gif' style='vertical-align: middle; border: 0px;' /></div>";
	echo "</div>";
	}
	if(!empty($data['team_user_javskill'])){
	echo "<div style='padding: 10px;'>";
	echo "<div><strong>".$locale['team_gl009']."</strong></div><div> <img title='".$coding_skills[$data['team_user_javskill']]."' src='".TEAM_IMAGES."skills/".$data['team_user_javskill'].".gif' style='vertical-align: middle; border: 0px;' /></div>";
	echo "</div>";
	}
	echo "<div style='padding: 5px; text-align: center;'><a id='close-btn' class='button' href='#'>".$locale['team_tp027']."</a></div></div>";
	echo "</tr>\n";
	echo "</table>\n</div>";
	if ($data['team_user_intro'] != "") {
		echo "<div style='clear: both;'></div>";
		echo "<table cellpadding='0' cellspacing='1' width='800' class='tbl-border center'>\n<tr>\n";
		echo "<td class='tbl2'><strong>".$locale['team_tp028']."</strong></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl1'>".stripslashes($data['team_user_intro'])."\n";
		echo "</td>\n</tr>\n</table>\n";
	}
	closetable();
	}
	
	require_once THEMES."templates/footer.php";	  
?>