<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: team.php
| Author: DrunkeN
+--------------------------------------------------------+
| Team Panel > team
| Version: 1.00
| Author: Dark Fusion
| Developer(s): DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INFUSIONS."team_panel/includes/team-panel.func.php";
include TEAM_PANEL."infusion_db.php";

if (file_exists(INFUSIONS."team_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."team_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."team_panel/locale/English.php";
}

add_to_head("<link rel='stylesheet' href='".TEAM_INC."css/team_styles.css' type='text/css' media='screen' />");

global $settings, $aidlink;

    $tps = dbarray(dbquery("SELECT team_setting_enable AS 'tps_enable', team_setting_text AS 'tps_info'	FROM ".DB_TEAM_SETTINGS));
	
	if ($tps['tps_enable'] !== "1"  && !checkrights('DTP')) { redirect("../../index.php"); }
	
    if ($tps['tps_enable'] !== "1" && iADMIN && checkrights('DTP')) { 
    echo "<div id='close-message'><div class='admin-message'>".$locale['team_tt000']." <a href='".INFUSIONS."team_panel/admin/team_settings.php".$aidlink."'>".$locale['team_tt000b']."</a></div></div>\n"; 
  } else {
        opentable($locale['team_tt001'].$settings['sitename'].$locale['team_tt002']);
		echo "<p>".nl2br(parseubb($tps['tps_info']))."</p>";
		$resultb = dbquery("SELECT team_group_id, team_group_description, team_group_applications, team_group_name FROM ".DB_TEAM_GROUPS." ORDER BY team_group_order");
	if (dbrows($resultb)) {
	    $current_row = 1; $columns = 2;
	    while ($datab = dbarray($resultb)) {
		$team_members = dbcount("(team_user)", DB_TEAM_PANEL, "team_group='".$datab['team_group_id']."'");
		if($datab['team_group_applications'] == 0){
		$apply['link'] = "";
		} else if((dbcount("(team_application_user)" , DB_TEAM_APPLICATIONS, "team_application_user='".$userdata['user_id']."' AND team_application_group='".$datab['team_group_id']."'") == 1)){
		$apply['link'] = $locale['team_tt003'];
		} else if((dbcount("(team_user)" , DB_TEAM_PANEL, "team_user='".$userdata['user_id']."' AND team_group='".$datab['team_group_id']."'") != 0) || !iMEMBER){
		$apply['link'] = $locale['team_tt004'];
		} else {
		$apply['link'] = "[<a href='".TEAM_PANEL."apply.php?apply_to=".$datab['team_group_id']."'>".$locale['team_tt005']."</a>]";
		}
		echo "<table style='border-left: 5px solid #dddddd;' cellpadding='5' cellspacing='1' width='100%' class='tbl-border center'>\n";
		if ($current_row > 1) { echo "<tr>\n<td colspan='1' class='tbl forum_thread_post_space' style='height:10px'></td>\n</tr>\n"; }
		echo "<tr><td colspan='1' class='center' style='margin-top: 10px; margin-bottom: 10px; padding-left: 5px; padding-right: 5px;'><p>".$apply['link']."  <strong>".$settings['sitename']." - ".$datab['team_group_name']."</strong><br />".nl2br(parseubb($datab['team_group_description']))."</p></td></tr>";
		echo "</table>";
		$t = 0;
		$result = dbquery("
          SELECT u.user_id, u.user_name, u.user_status, u.user_avatar, u.user_lastvisit, u.user_web, u.user_level, u.user_birthdate, u.user_groups, 
		  t.team_user, t.team_title, tu.team_user_rname, tu.team_user_gender, tu.team_user_country, t.team_task, t.team_datestamp 
		  FROM ".DB_TEAM_PANEL." t
		  LEFT JOIN ".DB_USERS." u ON t.team_user=u.user_id
		  LEFT JOIN ".DB_TEAM_USERS." tu ON tu.team_user_id=u.user_id
		  WHERE t.team_group='".$datab['team_group_id']."'
		  ORDER BY t.team_group DESC, t.team_user LIMIT 0,10");
		$rows = dbcount("(team_user)", DB_TEAM_PANEL, "team_group='".$datab['team_group_id']."'");
if ($rows) {
		while ($data = dbarray($result)) {
		$status_class = (time() - $data['user_lastvisit'] < 180 ? "tp-user-online tp-user-avatar-opa" : "tp-user-offline tp-user-avatar-opa");
		$row_color = ($t % 2 == 0 ? "tbl1" : "tbl2");
		echo "<table class='team-table' style='margin:10px auto;'><tr>";
echo "<td width='15%' class='tbl2' rowspan='4' align='center'>";
	 if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar']) && $data['user_status']!=6 && $data['user_status']!=5) {
		echo "<img class='".$status_class."' style='width:70px; height: 70px;' title='".$data['user_name'].(empty($data['team_user_rname']) ? "" : " - ".$data['team_user_rname'])."' src='".IMAGES."avatars/".$data['user_avatar']."' alt='".$data['user_name']."'>";
	  } else {
		echo "<img class='".$status_class."' style='width:70px; height: 70px;' title='".$data['user_name'].(empty($data['team_user_rname']) ? "" : " - ".$data['team_user_rname'])."' src='".IMAGES."avatars/noavatar100.png' alt='".$data['user_name']."'>";
      }
echo "</td>";
echo "<td width='22%' class='tbl2'>".$locale['team_tt006']."</td>";
echo "<td class='tbl2'>".team_profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>";
echo "</tr><tr>";
echo "<td class='tbl2'>".$locale['team_tt007']."</td>";
echo "<td class='tbl2'>".$data['team_title']."</td>";
echo "</tr><tr>";
include TEAM_INC."country.dis.php";
echo "<td class='tbl2'>".$locale['team_gl001']."</td>";
echo "<td class='tbl2'>".(empty($data['team_user_country']) ? "<span style='font-style:italic;'>".$locale['team_gl000']."</span>" : "<img style='vertical-align:middle;border:none' src='".$countries_img[$data['team_user_country']]."' alt='".$tuc_country[$data['team_user_country']]."' title='".$tuc_country[$data['team_user_country']]."' />")."</td>";
echo "</tr><tr>";
echo "<td class='tbl2'>".$locale['team_gl002']."</td>";
echo "<td class='tbl2'>".($data['team_user_gender'] == 1 ? $locale['team_gl003'] : ($data['team_user_gender'] == 2 ? $locale['team_gl004'] : "<span style='font-style:italic;'>".$locale['team_gl000']."</span>"))."</td>";
echo "</tr></table>";
	  $t++;
}
	} else {
				echo "<tr>\n<td colspan='2'>\n";
				echo "<table width='100%' cellspacing='0' cellpadding='0'>\n<tr>\n";
				echo "<td class='tbl'>".$locale['team_tt008']."</td>\n";
				echo "</tr>\n</table>\n</td>\n</tr>\n";
			}
			$current_row++;
	  }
		  }
	 closetable();
}	 
require_once THEMES."templates/footer.php";
?>
